{% extends "base.html" %}

{% block title %} My Todo Lists {% endblock title %}

{% block content %}
    <div>
        <h1>My Todo Lists</h1>
        <p>
          <a href="{% url 'todo_list_create' %}">Create a new todo list</a>
        </p>
        <p>
          <a href="{% url 'todo_item_create' %}">Create a new todo </a>
        </p>
        <table>
            <thead>
                <tr>
                    <th>Todo List</th>
                    <th>Number of items</th>
                </tr>
            </thead>
            <tbody>
              {% for todolist in todo_list_list %}
                <tr>
                  <td>
                    <a href="{% url 'todo_list_detail' todolist.id %}">{{ todolist.name }}</a>
                  </td>
                  <td>
                    {{ todolist.items.all.count }}
                  </td>
                </tr>
              {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock content %}